@import "../../../../../global.scss";

.modal {
    border: none;
    overflow: auto;
    border-radius: 10px;
    height: 75vh;
    max-height: 75vh;
  
    :global(.modal-content) {
      border: none;
      border-radius: 10px;
      overflow: hidden;
    }
  
    &__body {
      color: $Teal;
      padding: 16px 0 0 0;
      height: 100%;
    }
  }

  // .modal-content {
  //   height: auto;
  //   max-height: 75vh;
  // }

  .modal_height {
    height: calc(100% - 79px) !important;
  }

  @media only screen and (max-width: 1000px) {
    .modal_height {
      height: calc(100% - 117px) !important;
    }
  }

  @media only screen and (max-width: 1000px) {
    h2{
      font-size: 30px;
    }
  }
  
  @media only screen and (max-width: 480px) {
    .modal{
      height: 100vh;
      width: 100vw;
      margin: 0 !important;
      max-width: none !important;
    }
  }

  .dropdown_height{
    max-height: 22vh;
    overflow: scroll;
    background: white;
  }
  
.btn {
    background-color: $Lime;
    color: $DarkBlue;
    font-size: 14px;
    font-weight: bold;
    padding: 3px 15px;
  }
  

  .closeBtn {
    color: $White;
    font-size: 20px;
    padding: 0;
    margin-left: 15px;
  
    &:hover {
      color: $White;
    }
  
    svg {
      width: 30px;
      height: 30px;
    }
  }

  .header {
    background-color: $Blue;
    color: $White;
  }

  .input {
    color: $DarkBlue;
    border: 1px solid rgba($DarkBlue, 0.3);
    border-radius: 5px;
    font-size: 14px;
    padding: 3px 5px;
  
    &:focus,
    &:active {
      outline: none !important;
    }
  }

 
.dropdown {
    :global(.dropdown-menu) a:active {
      background-color: $DarkBlue;
    }
  }
  
  .dropdownBtn {
    &::after {
      content: "";
      display: inline-block;
      height: 8px;
      width: 8px;
      border: 1px solid;
      border-color: $DarkBlue;
      border-left: none;
      border-top: none;
      transform: rotate(45deg) translateY(-4px);
      margin-left: 20px;
    }
  
    color: $DarkBlue;
    border-color: rgba($DarkBlue, 0.3) !important;
    padding: 3px 15px;
    font-size: 14px;
  
    &:hover,
    &:active,
    &:focus {
      background-color: $White !important;
      color: $DarkBlue !important;
      border-color: rgba($DarkBlue, 0.3) !important;
      outline: none !important;
      box-shadow: none !important;
    }
  }


  .table {
    thead th {
      border-top: none !important;
      border-bottom: 2px solid $Teal!important;
      background-color: 'white';
      color: $DarkBlue;
      font-weight: bold;
      vertical-align: middle;
      padding-bottom: 15px;
  
      &:not(:first-child) {
        text-align: center;
      }
    }

    tr{
        text-align: center;
    }
  
    // tbody tr:nth-child(2n) {
    //   background-color: rgba($color: $DarkBlue, $alpha: 0.15);
    // }
  
    td {
      padding: 10px 15px;
      vertical-align: middle;
      color: $Teal;
      border-bottom:1.5px solid $Teal;
    }
  }

  .search {
    width: 100%;
    padding: 5px;
    border-radius: 8px;
    outline: none;

    &:hover, &:focus, &:active {
      border-color: $Blue;
      border-radius: 8px;
      border-color: #094658ee;
      box-shadow: none;
    }

  }
